clang-tools 10.0.0

Namespaces | Functions
HeaderSourceSwitch.h File Reference
`#include "ParsedAST.h"`
`#include "llvm/ADT/Optional.h"`
Include dependency graph for HeaderSourceSwitch.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::Optional< Path > | clang::clangd::getCorrespondingHeaderOrSource (const Path &OriginalFile, llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > VFS)
| Given a header file, returns the best matching source file, and vice visa. More...
llvm::Optional< Path > | clang::clangd::getCorrespondingHeaderOrSource (const Path &OriginalFile, ParsedAST &AST, const SymbolIndex *Index)
| Given a header file, returns the best matching source file, and vice visa. More...
std::vector< const Decl * > | clang::clangd::getIndexableLocalDecls (ParsedAST &AST)
| Returns all indexable decls that are present in the main file of the AST. More...